Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.core.sqlexpr
Class SqlExprGenerateSQL

    java.lang.Object
      com.hp.hpl.jena.sdb.core.sqlexpr.SqlExprGenerateSQL

All Implemented Interfaces:
  SqlExprVisitor

    public class SqlExprGenerateSQL

extends Object
implements SqlExprVisitor

Field Summary
`String` | `RegexOperator`

Method Summary
`void` | `visit(S_Like pattern)`
`void` | `visit(S_Regex regex)`
`void` | `visit(SqlColumn column)`
`void` | `visit(SqlConstant constant)`
`void` | `visit(SqlExpr1 expr)`
`void` | `visit(SqlExpr2 expr)`
`void` | `visit(SqlFunction1 expr)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RegexOperator

    public String RegexOperator

Method Detail

### visit

    public void visit(SqlColumn column)

  Specified by:
    `visit` in interface `SqlExprVisitor`

### visit

    public void visit(SqlConstant constant)

  Specified by:
    `visit` in interface `SqlExprVisitor`

### visit

    public void visit(SqlFunction1 expr)

  Specified by:
    `visit` in interface `SqlExprVisitor`

### visit

    public void visit(SqlExpr1 expr)

  Specified by:
    `visit` in interface `SqlExprVisitor`

### visit

    public void visit(SqlExpr2 expr)

  Specified by:
    `visit` in interface `SqlExprVisitor`

### visit

    public void visit(S_Like pattern)

  Specified by:
    `visit` in interface `SqlExprVisitor`

### visit

    public void visit(S_Regex regex)

  Specified by:
    `visit` in interface `SqlExprVisitor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.